import javacard.framework.*;
import javacardx.framework.*;
import sim.toolkit.*;

public class Tone extends Page {

  ProactiveElement tone;
  final static byte TONECMD = (byte) 0x04;
  byte bimmel = (byte) 0x00;

  public Tone( APDU apdu ) {
  }

  public void setTone( byte bimmel ) {
    this.bimmel = bimmel;
  }

  public void beep() {
    beep( this.bimmel );
	}

  public void beep( byte bimmel ) {
    if (tone == null) {
      tone = new ProactiveElement( TONE_TAG, (short) 1 );
      APDU.waitExtension();
    }
    APDU.waitExtension();
    tone.tlv[2] = bimmel;
    buildCommand();
    APDU.waitExtension();
    ProactiveCommand.executeCommand();
	}

  public byte buildCommand() {
		ProactiveCommand.initProactiveCommand( TONECMD, PLAY_TONE, (byte) 0x00, EARPIECE);
    return ST_SUCCESS;
  }
}
